glibc-2.8-20080929 build fails in Chapter 5

Jeremy Huntwork jhuntwork at linuxfromscratch.org
Wed Oct 15 13:27:34 PDT 2008


Robert Connolly wrote:
> When GCC 4.1 released libssp, Glibc copied all of libssp in to Glibc, for 
> better performance. This happened in Glibc 2.4 or 2.5. If you're running a 
> new Glibc, libssp can not be used because it will conflict with identical 
> functions in Glibc.

Given this, is there any reason why using --disable-libssp for all 
passes of gcc is a bad idea?

--
JH



More information about the lfs-dev mailing list